List the leads attached to a campaign
Requires the `lead:read` and `campaign:read` permissions.
Requires the lead:read and campaign:read permissions.
Authorization
ApiKeyAuth x-api-key<token>
API key created under Settings → API Keys. Scoped to a single workspace.
In: header
Path Parameters
campaignId*string
Format
uuidQuery Parameters
offset?integer
Number of records to skip.
Range
0 <= valueDefault
0limit?integer
Page size (max 100).
Range
1 <= value <= 100Default
20search?string
Case-insensitive substring filter.
sortBy?string
Default
"createdAt"Value in
- "email"
- "firstName"
- "lastName"
- "company"
- "createdAt"
sortOrder?string
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/leads/by-campaign/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "firstName": "string", "lastName": "string", "company": "string", "customFieldValues": { "property1": "string", "property2": "string" } } ], "pagination": { "total": 0, "totalPages": 0, "currentPage": 0, "pageSize": 0, "offset": 0, "hasNextPage": true, "hasPreviousPage": true }}